Fork me on GitHub"

# skbio.workflow.method

class skbio.workflow.method(priority=0)

  Decorate a function to indicate it is a workflow method

  Parameters:

    priority (int) – Specify a priority for the method, the higher the value the higher the priority. Priorities are relative to a given workflow

  Attributes

  `highest_priority` |

  Built-ins

  `__call__`(func) | State: Experimental as of 0.4.0.
  `__getstate__`() | Helper for pickle.
  `__hash__`() | Return hash(self).

  Methods